Printer testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard printer tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard printer tests

These tests are required for all test devices and can be run in any order.

  • 16 Bit Application Print Compatibility
  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Driver Verifier - Printer
  • Enable/Disable - Device I/O
  • Image Color Management Profile
  • Printable Regions Accuracy
  • Printer Device Capabilities
  • Public Import
  • Signability
  • Surprise Removal
  • Windows API and DDI Compatibility
  • Windows Application Compatibility
  • Windows Color Quality Compliancy for Printers

Click to show or hide information. Bus-specific tests

Additional tests are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • USB

Test suite run time: Approximately 5 to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Printer HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test device and accessories, if applicable

Important: If the test device (host) implements a feature connector that allows a dependent device/attachment (client) to connect to it, then the host must handle the resources and load the drivers that are required by the client. Both host and client devices must share the same devnode because the client is dependent upon the host.

  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Two sheets of printer paper for every paper size the test device supports
  • Spectrophotometer equipment, including accessories and software

Click to show or hide information. Software requirements

The following software is required to run the Printer HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0
  • The following third-party software applications:
  • Microsoft Office 2000 (includes Access 2000, Excel 2000, Outlook 2000, PowerPoint 2000, and Word 2000)

Click to show or hide information. Tester knowledge requirements

To run the HCT for printers, testers must know how to do the following tasks:

  • Install third-party software applications.
  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install and use a spectrophotometer.
  • Install the Windows XP HCT 10.0.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for printer testing

Microsoft Windows HCL


Preparing for printer testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Printer testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing printers for the Windows XP Professional operating system.

To configure the test system for printer testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install third-party software applications on the test system.
  3. Install the printer with any required accessories on the test system as the default printer.
  4. Install Spectrophotometer and related software.
  5. Install the Windows XP HCT 10.0 on the test system.

Test notes

  • All print jobs must be completed before the test will finish. Allow print jobs to complete before starting the next test.

Related links

Printer testing overview


16 Bit Application Print Compatibility test

This test verifies the 16-bit application compatibility of a printer driver.

Important: This test is not available in the Windows® XP HCT 10.0 on 64-bit platforms.

Run time: 1 to 5 minutes, depending on the speed of the test device and if color printing is supported

Log file name: Print16.log

Operating system: Windows® XP Professional

Test assertions: Chapter 25

Related links

Running the 16 Bit Application Print Compatibility test


Printable Regions Accuracy test

This test verifies that all borders are printed and that each rectangle is located properly for all paper and envelope sizes.

Run time: 1 to 5 hours, depending on the speed of the test device, if color printing is supported, and if number of paper and envelope sizes supported.

Log file name: prntarea.log

Operating system: Windows® XP Professional

Windows logo requirements: B8.1.3.2, "Printable regions accuracy"

Note: Two sheets of printer paper are required for every paper size the test device supports

Related links

Running the Printable Regions Accuracy test


Printer Device Capabilities test

This test verifies full support for the new DEVMODE structure. The test verifies the driver’s reported capabilities and that the driver runs in user-mode. Additionally, it verifies that support for EMF spooling is functioning, if it is supported.

Run time: 1 to 2 minutes

Log file name: Devcap32.log

Operating system: Windows® XP Professional

Windows logo requirements: B8.1.3.3, "Printer driver runs only in user mode"; B8.1.3.4, "DevMode structure support"; and B8.1.5.2, "Windows XP/Windows 2000: Printer driver runs only in user mode [Clarification]"

Related links

Running the Printer Device Capabilities test


Windows API and DDI Compatibility test

This test exercises the printer driver by calling graphic device interface (GDI) application programming interfaces (API) to determine Windows® API and device driver interface (DDI) compatibility. The test verifies that the printer driver correctly supports and implements the DDI, and will not fail or cause a failure when the DDIs are exercised.

This test also verifies that the printer produces the expected output for the various GDI APIs within the limitations of its capabilities.

Run time: 15 to 30 minutes, depending on the speed of the test device and if color printing is supported

Log file name: Printcert.log

Operating system: Windows XP Professional

Test assertions: Chapter 25

Related links

Running the Windows API and DDI Compatibility test


Windows Application Compatibility test

This test verifies standard application compatibility with the Windows® operating system.

Run time: 1 to 1.5 hours, depending on the speed of the test device and if color printing is supported

Log file name: Winparty.log

Operating system: Windows XP Professional

Windows logo requirements: B8.1.3.1, "WinPARTy application printing accuracy"

Software requirements

  • The following third-party software applications:
  • Microsoft Office 2000 (includes Access 2000, Excel 2000, Outlook 2000, PowerPoint 2000, and Word 2000)

Related links

Running the Windows Application Compatibility test


Windows Color Quality Compliancy for Printers test

This test verifies that the image color management (ICM) profile of color-capable devices complies with the specification found at http://www.iec.ch/webstore/.

Important: Do not run this test if the test device is sRGB compatible and the default sRGB Color Space Profile.icm profile is used.

Run time: 5 minutes

Log file name: printcolor.log

Operating system: Windows® XP Professional

Windows logo requirements: B8.1.2.4, "Windows Color Quality Specifications for Printer OEMs"; and B8.1.4.7, "Color printer complies with Windows Color Quality Specifications for Printer OEMs"

Hardware requirements

Spectrophotometer equipment, including related accessories and software

Related links

Running the Windows Color Quality Compliancy for Printers test


Scanner testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard scanner tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard scanner tests

These tests are required for all scanners, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Driver Verifier - Scanner
  • Enable/Disable - Device I/O
  • Image Color Management Profile
  • Public Import
  • Signability
  • Surprise Removal
  • TWAIN Compliance
  • Windows Image Acquisition Microdriver
  • Windows Image Acquisition Minidriver

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA controller testing overview
  • PCI
  • USB

Test suite run time: Approximately 2 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Scanner HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test device and accessories, if any
  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Scanner HCT kit.

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for scanners, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related links

Preparing for scanner testing

Microsoft Windows HCL


Preparing for scanner testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Scanner testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing scanners for the Windows XP Professional operating system.

To configure the test system for scanner testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Scanner testing overview


Windows Image Acquisition Microdriver test

The Windows® Image Acquisition (WIA) Microdriver test examines the microdriver DLL directly, and verifies that all of the functions and commands meet the requirements defined in the Still Image Drivers section of the Windows 2000 Driver Development Kit.

Run time: 1 minute

Log file name: Microdrvtst.log

Operating system: Windows XP Professional

Windows logo requirements: B9.1.1.1, "Still image driver support"

Related links

Running the Windows Image Acquisition Microdriver test


Camera testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard camera tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard camera tests

These tests are required for all cameras, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Driver Verifier - Camera
  • Enable/Disable - Device I/O
  • Image Color Management Profile
  • PC-Compliant File System
  • Public Import
  • Signability
  • Surprise Removal
  • TWAIN Compliance

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 2 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Camera HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test device and accessories, if applicable
  • One Intel Pentium, or equivalent, test system with the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • FoxFire II PCI adapter

Click to show or hide information. Software requirements

The following software is required to run the Camera HCT kit.

  • Multimedia authoring software applications, such as the latest versions of Adobe Photoshop, Corel PHOTO-PAINT, and Microsoft Picture-It!, etc.
  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for cameras, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Physically install the FoxFire II PCI adapter.
  • Install the multimedia authoring software applications.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related links

Preparing for camera testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for camera testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Camera testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for camera testing for the Windows® XP Professional operating system.

To configure the test system for camera testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device on the test system.
  3. Install the manufacturer-supplied device driver, if necessary on the test system.
  4. Install the FoxFire II PCI adapter on the test system.
  5. Install the multimedia authoring software applications on the test system.
  6. Install the Windows XP HCT 10.0 on the test system.

Related links


PC-Compliant File System test

This test verifies that the files on a removable RAM card can be used by the Windows® operating system through a PC-compatible file system. For devices that include removable flash memory, you must provide a file system that is PC-compatible. The Flash Translation Layer (FTL) specification is an example of such a file system.

Run time: 5 minutes or longer, depending on size of test device flash memory.

Log file name: Pc_cfst.log

Operating system: Windows XP Professional

Test assertions: Chapter 13

Related links

Running the PC-Compliant File System test


Running the PC-Compliant File System test

To run the PC-Compliant File System test

  1. Verify that the test device contains stored images before running the test.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select PC-Compliant File System, and then click Add Selection.
  4. Click Start Tests.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Printable Regions Accuracy test

To run the Printable Regions Accuracy test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Printable Regions Accuracy, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, verify that all lines are clearly printed on the perimeter of the page as illustrated in the figure below.

Save all printed output for your records. Printed output is not needed for the test submission.


Running the Printer Device Capabilities test

To run the Printer Device Capabilities test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Printer Device Capabilities, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Windows Application Compatibility test

To configure the test system

  1. Install the Windows® XP Professional operating system from the product CD.
  2. Install Microsoft® Office 2000 (including Access 2000, Excel 2000, Outlook 2000, PowerPoint 2000, and Word 2000).
  3. Install the printer with any required accessories on the test system.
  4. Install the Windows XP HCT 10.0

To run the Windows Application Compatibility test

  1. Verify that all third-party software applications are installed.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Windows Application Compatibility, and then click Add Selection.
  4. Click Start Tests.

Important: Do not interact with the test system until the test completes. Focus on the test window must be maintained.

  5. Verify that all third-party software applications produce a printed output.

Save all printed output for your records. Printed output is not needed for the test submission.

  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Windows Color Quality Compliancy for Printers test

To create the color comparison sheet for the Windows Color Quality Compliancy for Printers test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Windows Color Quality Compliancy for Printers, and then click Add Selection.
  3. Click Start Tests.

A color comparison sheet is printed from the test device, and the Measurement Wizard is displayed.

To enter measured values in Measurement Wizard

  1. Use the spectrophotometer to scan the color comparison sheet, one color block at a time.

The color reflectance numeric values will be entered in the Measurement Wizard.

  2. In the Measurements Wizard, enter the following color reflectance numeric values into the Measurement dialog box for the X, Y, and Z-axes:
  • Device Black
  • Device White
  3. Click Next.
  4. In the Measurements Wizard, enter the following color reflectance numeric values into the Measurement dialog box for the X, Y, and Z-axes:
  • Red-center
  • Green-center
  • Orange-center
  • Purple-center
  • Gray-center
  • Pink-center
  5. Click Next.
  6. In the Measurements Wizard, enter the following color reflectance numeric values into the Measurement dialog box for the X, Y, and Z-axes:
  • Dark Gray
  • Beige
  • Brown-center
  • Yellow-center
  • Blue-center
  7. Click Next.
  8. In the Measurements Wizard, enter the following color reflectance numeric values into the Measurement dialog box for the X, Y, and Z-axes:
  • Device Red
  • Device Green
  • Device Blue
  • Device-Cyan
  • Device Magent
  • Device Yellow
  9. Click Next.
  10. When the test is completed, view test log files.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the 16 Bit Application Print Compatibility test

Important: This test is not available in the Windows® XP HCT 10.0 on 64-bit platforms.

To run the 16 Bit Application Print Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 16 Bit Application Print Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Windows API and DDI Compatibility test

To run the Windows API and DDI Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Windows API and DDI Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. At the prompt, click OK to restart the test system.

Open windows may hide the prompt to restart the test system. You may need to switch to the prompt window.

  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Windows Image Acquisition Microdriver test

To run the Windows Image Acquisition Microdriver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Windows Image Acquisition Microdriver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

Windows XP HCT 10.0 - Imaging

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.